Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.registry
Class AbstractKernelBus

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.registry.AbstractKernelBus

All Implemented Interfaces:
  KernelBus, KernelEventEmitter, KernelObject

Direct Known Subclasses:
  BasicKernelBus

public abstract class AbstractKernelBus
extends AbstractKernelObject
implements KernelBus

Abstract Kernel bus.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Field Summary
`protected KernelRegistry` | `registry` The registry

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`kernel, log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`AbstractKernelBus()` Create an abstract kernel bus

Method Summary
`void` | `setKernel(Kernel kernel)` Set the kernel.

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`getKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.registry.KernelBus
`invoke`

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### registry

    protected KernelRegistry registry

  The registry

Constructor Detail

### AbstractKernelBus

    public AbstractKernelBus()
                      throws Exception

  Create an abstract kernel bus

Throws:
  `Exception` - for any error

Method Detail

### setKernel

    public void setKernel(Kernel kernel)
                   throws Throwable

  Description copied from interface: `KernelObject`
  Set the kernel.

  Specified by:
    `setKernel` in interface `KernelObject`
  Overrides:
    `setKernel` in class `AbstractKernelObject`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.